// file: $JEIDA/src/signal_detector/v2.1/src/sigd_error_0.cc
//

// isip include files
//
#include "signal_detector.h"
#include "signal_detector_constants.h"

// method: error_cc
//
// arguments:
//  char_1* method_name_p: name of method in which error occurred
//  char_1* message_p: a message indicating the problem
//
// return: none
//
volatile void Signal_detector::error_handler_cc(char_1* method_name_p,
						char_1* message_p) {

  // exit ungracefully
  //
  fprintf(stderr, "%s: %s\n", method_name_p, message_p);

  // exit gracefully
  //
  exit(ISIP_ERROR);
}
