# this gets filename
# opens it, pulls off the first line
# and extracts the actual file name if it has a path.
#
#**********change this to parse the command line******************
set f [open $argv]
gets $f my_file
set raw_file_name [string range $my_file [expr [string length [file dirname $my_file]] + 1] end]

#
# var for keeping up file pos
#
set CURRENT_FILE_POSITION 0
set tmp_string " "
#
# cut off .raw extension and add .val
#
set val_file_name [string range $raw_file_name 0 [expr [string length [file extension $raw_file_name]]-1]]
set val_file_name "$val_file_name.val"
set val_file_name "[file dirname $my_file]/$val_file_name"

#
# search for existence of a .val file
# and read from it if it exists
# and do some other junk

if { [file exists $val_file_name] == 1 } {
    set the_file [open $val_file_name]
    while { [gets $the_file line] >= 0 } {
	if { ( [string index $line 0] != "#" ) && ([string index $line 0] != " ")} {
	    scan $line "%s = %s" parameter value
	    if {$parameter == "sample_frequency" } {
		set $parameter $value
	    } elseif {$parameter == "wordlist" } {
		set $parameter [string range $line [expr [string length "$parameter = "] + 1] end]
		set $parameter [string trim $parameter \"]
		for {set i 0} {$i <= [string length $parameter]} {incr i 1} {
		    if {[string index $parameter $i] == " " } {
			.top0.f02.lb1  insert end $tmp_string
                        set tmp_string " "
		    } else {
			set tmp_string "$tmp_string[string index $parameter $i]"
		    }
		}
	    } elseif {$parameter == "transcription"} {
		set $parameter [string range $line [expr [string length "$parameter = "] + 1] end]
		set $parameter [string trim $parameter \"]
	    } elseif {$parameter == "audio_command"} {
		set tmp_string " "
		set $parameter [string range $line [expr [string length "$parameter = "] + 1] end]
		set $parameter [string trim $parameter \"]
		set $parameter "naplay -f raw -s $sample_frequency -o mono $my_file"
	    } elseif {$parameter == "comments"} {
		set $parameter [string range $line [expr [string length "$parameter = "] + 1] end]
		set $parameter [string trim $parameter \"]
		
	    } else {
		set $parameter $value

	    }
	    
	}
    }

}





close $f





