#!/usr/local/tk/bin/wish -f
#
# file: $JEIDA/src/validate/v2.0/src/val.tcl 
#

#
# Speech Validation Program v2.0
# v2.0 completed by Richard Duncan, 10/28/95
# v1.0 completed by slauderd, williams, duncan 8/31/95
# for the Institute for Signal and Information Processing (ISIP)
#

# Variable initilization for some global vars
#
global ISIP_VALHOME

set current_file_pos 0
set flag_file ""
set max_files 0
set save_flag 0
set internal_username $env(ISIP_USERNAME)
set audio_device $env(ISIP_AUDIO_DEVICE)

# define the location of the source code
#
set ISIP_VALHOME $env(JEIDA)/src/validate/v2.0/src

# read in procedures
#

source $ISIP_VALHOME/proc_play.tcl
source $ISIP_VALHOME/proc_plot.tcl
source $ISIP_VALHOME/delete_last_word.tcl
source $ISIP_VALHOME/globals.tcl
source $ISIP_VALHOME/save_next_play.tcl
source $ISIP_VALHOME/select_wordlist.tcl
source $ISIP_VALHOME/display.tcl          
source $ISIP_VALHOME/read_file.tcl       
source $ISIP_VALHOME/proc_file.tcl       
source $ISIP_VALHOME/save_file.tcl
source $ISIP_VALHOME/load_file.tcl
source $ISIP_VALHOME/delete_file.tcl
source $ISIP_VALHOME/display_load_file.tcl
source $ISIP_VALHOME/window_update.tcl
source $ISIP_VALHOME/read_wordlist.tcl
source $ISIP_VALHOME/file_count.tcl
source $ISIP_VALHOME/plotter.tcl

# main block
#

# count the number of files in the file list
# and drop max_files by 1
#
fcount
incr max_files -1

# read in the first file
#
read_file

# plot the first sound
#
proc_plot

# update default window information with new
# information from file
#
update_window








