/* File: main.h */

/*
 * Richard Duncan
 * Institute for Signal and Information Processing
 * December 1995
 *
 *
 * This program converts a list of raw speech data files and JEIDA validation
 * files into the NIST sphere format data files
 *
 */

static char H_ADD[] = "/usr/local/sphere/bin/h_add";
static char usage[] = "Usage: %s <session_info> <val_files> <raw_data_files> <destination>\n\t\ttype '%s -help' for help message.\n";
static char info[] = "ISIP %s v%s\n";
static char file_error[]  = "Error opening %s file %s, exiting!\n";
static char val_file_extension[] = ".val";
static char sphere_file_extension[] = ".sphere";
static char file_write_error[] = "Error writing to file %s, exiting!\n";
static char raw_file_extension[] = ".raw";
static char field_error[] = "Error creating field %s, exiting!\n";
static char field_read_error[] = "Error reading field %s, exiting!\n";
static char size_error[] = "Error: Val filelist and raw data filelist must be the same size, exiting!\n";

static char session_info_format[] = "%[^\n]";

typedef short int INT_2;


/* added a max file size */
#define MAX_FILENAME_SIZE 999

