#!/bin/sh

# file: ~picone/jeida/plot_signal/plot_signal.sh
#
# The plot_signal utility cats a file to xmgr.
#
# 07/27/95 (joe picone): initial version
#

# important definitions
#
PROGRAM_NAME="plot_signal";

PLOT_PROGRAM="$JEIDA/src/plot_signal/v1.0/src/plot_signal.exe";

GR_HOME="/usr/local/src/xmgr/v3.01";
export GR_HOME;

ISIP_HELP_FILE="$JEIDA/src/plot_signal/v1.0/src/plot_signal.help";
export ISIP_HELP_FILE;

# execute a generic help function:
#  force the shellscript to exit if a help option is encountered.
set -e;
$ISIP/util/misc/shell_functions/isip_function_help_0.sh $*;
set +e;

# execute the plot function
#
exec $PLOT_PROGRAM $* | xmgr -source stdin > /dev/null 2>&1 &

#
# end of file
