// file: $JEIDA/src/signal_detector/v2.1/src/sigd_get_0.cc
//

// isip include files
//
#include "signal_detector.h"
#include "signal_detector_constants.h"

// method: get_nbytes_to_read_cc
//
// arguments: none
//
// return:
//  an int_4 indicating the number of bytes to read per function call
//
int_4 Signal_detector::get_nbytes_to_read_cc() {

  // compute the frame duration in samples
  //
  i_frame_dur_d = (int_4)rint(frame_dur_d * sample_freq_d);

  // exit gracefully
  //
  return i_frame_dur_d * sample_size_d * num_chan_d;
}
