#!/usr/local/tcl/bin/tclsh 
#
# this gets filename
# opens it, pulls off the first line
# and extracts the actual file name if it has a path.
#
#**********change this to parse the command line******************
set f [open $argv]
gets $f my_file
set raw_file_name [string range $my_file [expr [string length [file dirname $my_file]] + 1] end]

#
# var for keeping up file pos
#
set CURRENT_FILE_POSITION 0
set tmp_string " "
#
# cut off .raw extension and add .val
#
set val_file_name [string range $raw_file_name 0 [expr [string length [file extension $raw_file_name]]-1]]
set val_file_name "$val_file_name.val"
set val_file_name "[file dirname $my_file]/$val_file_name"

#
# search for existence of a .val file
# and read from it if it exists
# and do some other junk

if { [file exists $val_file_name] == 1 } {
    set the_file [open $val_file_name]
    while { [gets $the_file line] >= 0 } {
	if { ( [string index $line 0] != "#" ) && ([string index $line 0] != " ")} {
	    scan $line "%s = %s" parameter value
	    # 
	    # Large IF block.  This is to determine the parsing into variables for 
	    # the various odd parameters that have a string which is difficult to
	    # parse.
	    #
	    if {$parameter == "sample_frequency" } {
		set SAMPLE_FREQUENCY $value
		# this has been checked and works
	    } elseif {$parameter == "wordlist" } {
		# this will parse wordlist
		set WORDLIST [string range $line [expr [string length "$parameter = "] + 1] end]
		set WORDLIST [string trim $WORDLIST \"]
		for {set i 0} {$i <= [string length $WORDLIST]} {incr i 1} {
		    if {[string index $WORDLIST $i] == " " } {
			#.some_widget insert end $tmp_string
                        set tmp_string " "
		    } else {
			set tmp_string "$tmp_string[string index $WORDLIST $i]"
                               puts $tmp_string
		    }
		}
		 
	    } elseif {$parameter == "transcription"} {
		puts "transcription found"
	    } else { puts "can't work"}
	}
    }
}
		




close $f





