# file: /isip/d00/jeida/src/validate/v1.0/window_update.tcl
#
# This program resets the display for the each new transcription
#

proc update_window {} {
    global speech_data_file
    global transcription 
    global comments
    global old_transcription 
    global old_comments
    global transcriber 
    global transcription_date
    global flag_file
    global val_file_name
    global internal_username
    global full_wordlist
    global current_file_pos
    global my_file
    global audio_device
    global p
    global label_transcription
    global raw_filename_label
    global audio_device_label
    global filename_label
    global wordlist_label
    global directory_label
    global last_date_label
    global last_validator_label
    global label_transcription_saved label_transcription_edited
    global utterances_in_set
    global speaker_number
    global utterance_number
    global set_number
    global out_file_format
    global output_directory

    # reconfigure the text variables for the labels
    #
    set label_transcription $label_transcription_saved
    
    # configure the audio device label
    #
    if { $audio_device_label != "Audio Device: $audio_device" } {
	set audio_device_label "Audio Device: $audio_device"
    }
    # configure the raw filename label
    # 
    if {$raw_filename_label != \
	    "Raw Filename: [eval exec basename $my_file]"} {
	set raw_filename_label "Raw Filename: [eval exec basename $my_file]"
    }
    # configure the filename label
    #
    if {$filename_label != \
	    "Val Filename: [eval exec basename $val_file_name]" } {
	set filename_label "Val Filename: [eval exec basename $val_file_name]" 
    }
    
    # configure the wordlist label
    #
    if {$wordlist_label != \
	    "Wordlist: [eval exec basename $full_wordlist]" } {
	set wordlist_label "Wordlist: [eval exec basename $full_wordlist]"
    }
    # configure the directory label
    #
    if { $directory_label != "Dir: [file dirname $my_file]/" } {
	set directory_label "Dir: [file dirname $my_file]/"
    }
    # configure the last date label
    #
    if { $last_date_label != "Last Edited: $transcription_date"} {
	set last_date_label "Last Edited: $transcription_date"
    }
    # configure the transcription label widget
    #
    if { $last_validator_label != "Last Validator: $transcriber"} {
	set last_validator_label "Last Validator: $transcriber"
    }
    # run through the transcription/comments
    #
    set old_transcription $transcription
    set old_comments $comments
    
    # deselect the selection
    #
    catch {
	selection clear [selection own]
    }

    # reset the input focus to the transcription entry widget
    #
    focus $p.transcription

    # force an update of the window
    # 
    update
}







