# file: $JEIDA/src/validate/v1.0/src/file_count.tcl
#
# This procedure finds the number of files in the filelist, given
# by argv
#

proc fcount {} {
    global max_files
    global argv argv0

    if {[file exists $argv] == 0} {
	puts [format "ERROR: file_list \"%s\" not found!" $argv]
	puts [format "USAGE: %s <file_list>" [file tail $argv0]]
	exit
    }
    set the_file [open $argv]
    while {[gets $the_file line] >= 0} {
	incr max_files
    }
    close $the_file
 
}


	
